package _VisualDVM.Visual.Tables;
import Common.MainModule_;
import Common.Visual.Fonts.VisualiserFonts;
import Common.Visual.Tables.RendererCell;

import javax.swing.*;
import java.awt.*;
public class RendererDiff extends RendererCell<Integer> {
    @Override
    public Integer Init(JTable table, Object value, int row, int column) {
        return (Integer) value;
    }
    public void Display() {
        if (value != null) {
            Font font_ = MainModule_.instance.getUI().getTheme().Fonts.get(
                    value > 0 ? VisualiserFonts.BadState : VisualiserFonts.TreePlain
            );
            setFont(font_);
            setText(String.valueOf(value));
        }
    }
}
